Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1362642 - [RFE] os-net-config should support adapter teaming in addition to bonding
Summary: [RFE] os-net-config should support adapter teaming in addition to bonding
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: os-net-config
Version: 9.0 (Mitaka)
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: ---
Assignee: RHOS Maint
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On: 1402537
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-02 18:08 UTC by Dan Sneddon
Modified: 2018-09-17 12:42 UTC (History)
15 users (show)

Fixed In Version: os-net-config-5.0.0-5.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-07-27 20:28:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1402535 None CLOSED Team devices cannot be brought up with network service 2019-04-01 08:48:14 UTC
Launchpad 1586177 None None None 2016-08-02 18:09:30 UTC

Description Dan Sneddon 2016-08-02 18:08:45 UTC
Description of problem:
Adapter teaming using teamd and teamdctl is a newer method of bonding interfaces that is better performing and more feature-rich. os-net-config should support adapter teams in addition to Linux bonds and OVS bonds.

Actual results:
Only OVS and Linux kernel bonds are supported.

Expected results:
Adapter teams should be an option for configuring bonds with os-net-config.

Additional info:
Upstream patch to implement this has merged: https://bugs.launchpad.net/tripleo/+bug/1586177

Comment 6 Raviv Bar-Tal 2016-12-08 11:37:37 UTC
Description of problem: OSP 10 includes a newer release of os-net-config which is capable of configuring adapter teaming as an alternate bonding method. However, os-net-config sets NM_CONTROLLED=no on the team interface configuration, and this causes an error message when the team is brought up. The team works if NM_CONTROLLED=yes is put in the ifcfg-teamX file instead.


This bug is waiting from the above bug to be solved 
( https://bugzilla.redhat.com/show_bug.cgi?id=1402537
  Network Teaming Requires NetworkManager for Enabling/Disabling Teams (edit)
)

Comment 7 Raviv Bar-Tal 2016-12-13 16:53:07 UTC
As the bug is waiting for BZ #1402537, it can not be verified in ospd 10 and there for it is moved to ospd 11

Comment 19 Dan Sneddon 2018-07-27 20:28:37 UTC
Somehow this RFE got lost in limbo. This was implemented some time ago, tested, and is in production for several customers without issue. Closing ticket as complete in current release.


Note You need to log in before you can comment on or make changes to this bug.